***************************************************
***************************************************
***												***
*** Buying and Social Desirability Bias: 		***
*** Experimental Evidence from Nicaragua		***
***												***
*** AJPS										***
***												***
***************************************************
***************************************************


*************************************************** 
* RANDOMIZATION ANALYSIS DOFILE
*
* Data File 2: Nicaragua_AJPS.dta 
*
* Dofile structure:
* 	a) Balance Between Treatment and Control Groups
* 	b) Logistic Regression on Treatment
*
***************************************************



*********************************************************
* FIGURE A: Balance Between Treatment and Control Groups
*********************************************************

* Descriptive statistics of basic covariates (Columns 1-5)
sort treatment
by treatment: sum inc_1 inc_2 inc_3 inc_4 edu age female zona


* T-test for the difference between control and treatment groups (Columns 6-9)
svy: reg inc_1 treatment
	ttest inc_1 , by(treatment)
svy: reg inc_2 treatment
	ttest inc_2, by(treatment)
svy: reg inc_3 treatment
	ttest inc_3, by(treatment)
svy: reg inc_4 treatment
	ttest inc_4, by(treatment)
svy: reg edu  treatment
	ttest edu, by(treatment)
svy: reg age treatment
	ttest age, by(treatment)
svy: reg female treatment
	ttest female , by(treatment)
svy: reg zona treatment 
	ttest zona , by(treatment)



**********************************************
* FIGURE B: Logistic Regressions on Treatment
**********************************************

svy: logit treatment inc_1 
svy: logit treatment inc_2
svy: logit treatment inc_3
svy: logit treatment inc_4
svy: logit treatment edu 
svy: logit treatment age 
svy: logit treatment female 
svy: logit treatment zona




